CVE-2007-6200

NameCVE-2007-6200
DescriptionUnspecified vulnerability in rsync before 3.0.0pre6, when running a writable rsync daemon, allows remote attackers to bypass exclude, exclude_from, and filter and read or write hidden files via (1) symlink, (2) partial-dir, (3) backup-dir, and unspecified (4) dest options.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs453652

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rsync (PTS)stretch3.1.2-1+deb9u2fixed
stretch (security)3.1.2-1+deb9u1fixed
buster3.1.3-6fixed
bullseye3.2.3-4+deb11u1fixed
bookworm, sid3.2.3-8fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rsyncsource(unstable)2.6.9-6low453652

Notes

[etch] - rsync <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems